/*
 * $Id: symtab.h,v 1.5 2021/03/02 15:38:58 mark Exp $
 *
 * symtab.h: symtab.c header file
 *
 * Copyright (C) 2002, 2003, 2004 Mark Willson.
 *
 * This file is part of the vc program.
 *
 * vc is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * vc is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with vc; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

union u_val {
	int ival;
	float fval;
	char *pval;
};

struct s_var {
	int type;
	union u_val val;
};

typedef struct s_var VAR;

/* function prototypes */

int defvar(char *);
int setvar(char *,struct s_var *);
int getvar(char *,struct s_var *);
void dmpvar();
void initvar(void);
char* strsave(char *);

#define TRUE 1
#define FALSE 0
